Page MenuHomePhabricator

Jenkins does not deploy content changes anymore
Closed, ResolvedPublic3 Story Points

Description

Although reporting a successful deployment to both test and production systems, the automatic deployment of wmde/fundraising-frontend-content does not happen.

The console log suggests that the inventory file can't be found. Maybe the change in wmde/fundraising-infrastructure@a276439 has not been introduced into the Jenkins config.

Acceptance Criteria

  • Automatic deployment of the content works again.

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptFeb 20 2019, 3:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This PR should make the build work again: https://github.com/wmde/fundraising-infrastructure/pull/253

To check if it works, you must merge it into master and run the _seed job in the Jenkins UI to update the job descriptions.

Afterwards, try changing content on the test branch to see if that triggers the build.

kai.nissen updated the task description. (Show Details)Feb 27 2019, 1:53 PM
Tobi_WMDE_SW set the point value for this task to 3.
kai.nissen closed this task as Resolved.Apr 15 2019, 11:06 AM